diff options
author | Alexandru DAMIAN <alexandru.damian@intel.com> | 2015-01-27 17:59:25 +0000 |
---|---|---|
committer | Richard Purdie <richard.purdie@linuxfoundation.org> | 2015-01-30 15:14:58 +0000 |
commit | c58c94824b29665f52ae67ceae3f096930c89fe5 (patch) | |
tree | 56b36f521404879976306f086dab08794b89b9a8 /bitbake/bin/toaster | |
parent | 635130d0d1234c503aa8b7ea10473f63afd36ad5 (diff) | |
download | poky-c58c94824b29665f52ae67ceae3f096930c89fe5.tar.gz |
bitbake: toaster: update texts for the startup sequence
This patch updates the prompts to the user to better explain
what Toaster is doing and the information it needs from the user.
Additionally, fixes a check in loadconf command.
[YOCTO #6785]
[YOCTO #7251]
(Bitbake rev: 90ef8975f35e2da824bc1c80e41ca26d9af0b208)
Signed-off-by: Alexandru DAMIAN <alexandru.damian@intel.com>
Signed-off-by: Richard Purdie <richard.purdie@linuxfoundation.org>
Diffstat (limited to 'bitbake/bin/toaster')
-rwxr-xr-x | bitbake/bin/toaster | 6 |
1 files changed, 3 insertions, 3 deletions
diff --git a/bitbake/bin/toaster b/bitbake/bin/toaster index a6d2e92d17..4f25293e73 100755 --- a/bitbake/bin/toaster +++ b/bitbake/bin/toaster | |||
@@ -68,7 +68,7 @@ function webserverStartAll() | |||
68 | python $BBBASEDIR/lib/toaster/manage.py checksettings --traceback || retval=1 | 68 | python $BBBASEDIR/lib/toaster/manage.py checksettings --traceback || retval=1 |
69 | fi | 69 | fi |
70 | if [ $retval -eq 0 ]; then | 70 | if [ $retval -eq 0 ]; then |
71 | echo "Starting webserver" | 71 | echo "Starting webserver..." |
72 | python $BBBASEDIR/lib/toaster/manage.py runserver "0.0.0.0:$WEB_PORT" </dev/null >${BUILDDIR}/toaster_web_$$.log 2>&1 & echo $! >${BUILDDIR}/.toastermain.pid | 72 | python $BBBASEDIR/lib/toaster/manage.py runserver "0.0.0.0:$WEB_PORT" </dev/null >${BUILDDIR}/toaster_web_$$.log 2>&1 & echo $! >${BUILDDIR}/.toastermain.pid |
73 | sleep 1 | 73 | sleep 1 |
74 | if ! cat "${BUILDDIR}/.toastermain.pid" | xargs -I{} kill -0 {} ; then | 74 | if ! cat "${BUILDDIR}/.toastermain.pid" | xargs -I{} kill -0 {} ; then |
@@ -171,7 +171,7 @@ if [ -z "$ZSH_NAME" ] && [ `basename \"$0\"` = `basename \"$BASH_SOURCE\"` ]; th | |||
171 | # Start just the web server, point the web browser to the interface, and start any Django services. | 171 | # Start just the web server, point the web browser to the interface, and start any Django services. |
172 | 172 | ||
173 | if [ -n "$BUILDDIR" ]; then | 173 | if [ -n "$BUILDDIR" ]; then |
174 | echo -e "Error: build/ directory detected. Toaster will not start in managed mode if a build environment is detected.\nUse a clean terminal to start Toaster." 1>&2; | 174 | echo -e "Error: It looks like you sourced oe-init-build-env. Toaster cannot start in build mode from an oe-core build environment. You can work around this problem by starting Toaster from a new terminal window." 1>&2; |
175 | exit 1; | 175 | exit 1; |
176 | fi | 176 | fi |
177 | 177 | ||
@@ -194,7 +194,7 @@ if [ -z "$ZSH_NAME" ] && [ `basename \"$0\"` = `basename \"$BASH_SOURCE\"` ]; th | |||
194 | xdg-open http://127.0.0.1:$WEB_PORT/ >/dev/null 2>&1 & | 194 | xdg-open http://127.0.0.1:$WEB_PORT/ >/dev/null 2>&1 & |
195 | fi | 195 | fi |
196 | trap trap_ctrlc SIGINT | 196 | trap trap_ctrlc SIGINT |
197 | echo "Running. Stop with Ctrl-C" | 197 | echo "Toaster is now running. You can stop it with Ctrl-C" |
198 | while [ $RUNNING -gt 0 ]; do | 198 | while [ $RUNNING -gt 0 ]; do |
199 | python $BBBASEDIR/lib/toaster/manage.py runbuilds | 199 | python $BBBASEDIR/lib/toaster/manage.py runbuilds |
200 | sleep 1 | 200 | sleep 1 |